# Create a sponsor configuration

Endpoint: POST /v1/domain/{domainId}/account/{accountId}/sponsor
Security: bearer

## Path parameters:

  - `domainId` (string, required)
    Domain ID

  - `accountId` (string, required)
    Account ID

## Request fields (application/json):

  - `type` (string, required)
    Type of sponsorship
    Enum: "domain", "account", "none"

  - `accountIds` (array)
    Array of account UUIDs to sponsor

  - `includeSubDomains` (boolean, required)
    Include subdomains in sponsorship

  - `alertLimit` (array, required)
    Alert thresholds per ticker

  - `alertLimit.tickerId` (string, required)
    Ticker/token UUID

  - `alertLimit.amount` (string, required)
    Alert threshold amount

  - `userId` (string)
    UUID of the user performing the action; recorded on the audit trail. Optional — only honored when the caller is a service principal; otherwise the authenticated user from the JWT is used.

## Response 201 fields (application/json):

  - `id` (string, required)

  - `status` (string, required)

  - `createdAt` (string, required)


## Response 400 fields

## Response 409 fields
